Subject: Re: [PATCH net-next] tcp_metrics: add netlink protocol spec in YAML

From: Jakub Kicinski <[email-masked]>
Date: Thu, 27 Jun 2024 12:03:47 -0700

On Thu, 27 Jun 2024 10:20:15 +0100 Donald Hunter wrote:
> I had to add tcp_metrics.h to Makefile.deps to get the generated code to
> complile.
> 
> diff --git a/tools/net/ynl/Makefile.deps b/tools/net/ynl/Makefile.deps
> index f4e8eb79c1b8..2f05f8ec2324 100644
> --- a/tools/net/ynl/Makefile.deps
> +++ b/tools/net/ynl/Makefile.deps
> @@ -25,3 +25,4 @@ CFLAGS_nfsd:=$(call get_hdr_inc,_LINUX_NFSD_NETLINK_H,nfsd_netlink.h)
>  CFLAGS_ovs_datapath:=$(call get_hdr_inc,__LINUX_OPENVSWITCH_H,openvswitch.h)
>  CFLAGS_ovs_flow:=$(call get_hdr_inc,__LINUX_OPENVSWITCH_H,openvswitch.h)
>  CFLAGS_ovs_vport:=$(call get_hdr_inc,__LINUX_OPENVSWITCH_H,openvswitch.h)
> +CFLAGS_tcp_metrics:=$(call get_hdr_inc,__LINUX_TCP_METRICS_H,tcp_metrics.h)

Indeed, and I think we need to add _UAPI to the guard. Or just include
the file without calling get_hdr_inc. I'll send v2 as a (tiny) series.